import { Step, StepButton, Stepper } from "@mui/material"
import useOrderSteps from "@/hooks/useOrderSteps"

export function OrderSteps() {
    const { steps, activeStep, handleStep, isStepDisabled, isStepCompleted } = useOrderSteps()

    return (
      <Stepper nonLinear activeStep={activeStep}>
        {steps.map((step, index) => (
          <Step key={step.label} completed={isStepCompleted(index)} disabled={isStepDisabled(index)}>
            <StepButton onClick={handleStep(index)}>
              {step.label}
            </StepButton>
          </Step>
        ))}
      </Stepper>
    )
  }
  
export default OrderSteps