import { Accordion, AccordionDetails, AccordionSummary, TextField, Typography } from "@mui/material"

export function OrderTestData() {
    return ( 
      <Accordion defaultExpanded={true}>
        <AccordionSummary
          aria-controls="test-data-content"
          id="test-data-header"
        >
          <Typography color="primary.main" component="h3" variant="h5">
            Test Data
          </Typography>
        </AccordionSummary>
        <AccordionDetails>
          <TextField
            label="Name"
            InputProps={{
              readOnly: true,
            }}
            size="small"
            value="John Smith"
            sx={{ mr: 2, mb: 3 }}
          />
          <TextField
            label="Phone Number"
            InputProps={{
              readOnly: true,
            }}
            size="small"
            value="+12114365831"
            sx={{ mr: 2, mb: 3 }}
          />
          <TextField
            label="E-mail Address"
            InputProps={{
              readOnly: true,
            }}
            size="small"
            value="john.smith@gmail.com"
            sx={{ mr: 2, mb: 3 }}
          />
          <TextField
            label="Postal Code"
            InputProps={{
              readOnly: true,
            }}
            size="small"
            value="32 568"
            sx={{ mr: 2, mb: 3 }}
          />
          <TextField
            label="Credit Card Number"
            InputProps={{
              readOnly: true,
            }}
            size="small"
            value="378282246310005"
            sx={{ mr: 2, mb: 3 }}
          />
        </AccordionDetails>
      </Accordion>
    )
  }
  
export default OrderTestData