import Page from "@/components/base/Page"
import { Navigate, Outlet } from "react-router-dom"
import useProduct from "@/hooks/useProduct"
import { Box, Grid, Paper, Typography } from "@mui/material"
import OrderTestData from "@/components/order/OrderTestData"
import OrderSteps from "@/components/order/OrderSteps"

export function OrderLayout() {
  const { product } = useProduct()

  return typeof product === 'undefined' ? <Navigate to="/products" /> : (
    <Page title="Ordering Product">
      <Typography component="h2" variant="h5" mb={2} color="secondary.main">
        {product.name}
      </Typography>
      <Box my={5}>
        <OrderSteps />
      </Box>
      <Grid container>
        <Grid item xs={12} sm={10} md={8} lg={6}>
          <Box component={Paper} elevation={4} p={5}>
            <Outlet />
          </Box>
        </Grid>
      </Grid>
      <Box mt={10}>
        <OrderTestData />
      </Box>
    </Page>
  )
}
  
export default OrderLayout