import type CustomerDetails from "@/types/customerDetails"
import { Box, Button, ButtonGroup, Checkbox, FormControl, FormControlLabel, FormGroup, FormHelperText, TextField, Tooltip } from "@mui/material"
import { Link, Navigate } from "react-router-dom"
import useOrderData from "@/hooks/useOrderData"
import OrderData from "@/types/orderData"
import { Controller, useForm } from "react-hook-form"

export function OrderCustomerDetails() {
  const { orderData, updateOrderData } = useOrderData()

  // TODO: use React hook form to validate this form.
  // Hook form resolvers are already installed for you.
  const { control } = useForm<CustomerDetails>()

  const onSubmit = (data: CustomerDetails) => {
    updateOrderData({ ...orderData, customerDetails: data } as OrderData)

    // TODO navigate to the next step (Delivery Details)
    // Hint: use dedicated React router hook for that.
  }

  if (orderData.confirmed) {
    return <Navigate to="../confirmation" relative="path" />
  }

  return (
    <Box
      component="form"
      noValidate
      autoComplete="off"
    >
      <Box component={FormGroup} mb={3}>
        <TextField
          label="Name"
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>
      <Box component={FormGroup} mb={3}>
        <TextField
          label="Phone Number"
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>
      <Box component={FormGroup} mb={3}>
        <TextField
          type="email"
          label="E-mail Address"
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>
      <Box component={FormGroup} mb={3}>
        <FormControl
          required
          error={true /* TODO */}
          component="fieldset"
          variant="standard"
        >
          <FormControlLabel
            control={
              <Controller name="agreedTerms" control={control} render={({ field }) =>
                // There is need for controlled component because of checked property.
                <Checkbox {...field} checked={Boolean(field.value)} />
               } />
            }
            label="Agreed to terms"
          />
          <FormHelperText>TODO{ /* TODO */ }</FormHelperText>
        </FormControl>
      </Box>
      <ButtonGroup variant="contained">
        <Button color="custom" /* TODO handleSubmit */>Submit & proceed</Button>
        <Button color="error" /* TODO reset */>Reset</Button>
        <Tooltip title="Products">
          <Button component={Link} color="dark" to="/products">Back</Button>
        </Tooltip>
      </ButtonGroup>
    </Box>
  )
}
  
export default OrderCustomerDetails
