import type DeliveryDetails from "@/types/deliveryDetails"
import { Box, Button, ButtonGroup, TextField, Tooltip } from "@mui/material"
import useOrderData from "@/hooks/useOrderData"
import { Link, Navigate } from "react-router-dom"
import OrderData from "@/types/orderData"

export function OrderDeliveryDetails() {
  const { orderData, updateOrderData } = useOrderData()

  // TODO: use React hook form to validate this form.
  // Hook form resolvers are already installed for you.

  const onSubmit = (data: DeliveryDetails) => {
    updateOrderData({ ...orderData, deliveryDetails: data } as OrderData)

    // TODO navigate to the next step (Payment Details)
    // Hint: use dedicated React router hook for that.
  }

  if (orderData.confirmed) {
    return <Navigate to="../confirmation" relative="path" />
  }

  return (
    <Box
      component="form"
      noValidate
      autoComplete="off"
    >
      <Box>
        <TextField
          label="City"
          sx={{ mr: 2, mb: 3 }}
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
        <TextField
          label="Postal Code"
          sx={{ mr: 2, mb: 3 }}
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
        <TextField
          label="Street"
          sx={{ mr: 2, mb: 3 }}
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
        <TextField
          type="number"
          label="House No."
          sx={{ mr: 2, mb: 3 }}
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
        <TextField
          label="Country"
          sx={{ mr: 2, mb: 3 }}
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>
      <ButtonGroup variant="contained">
        <Button color="custom" /* TODO handleSubmit */>Submit & proceed</Button>
        <Button color="error" /* TODO reset */>Reset</Button>
        <Tooltip title="Customer details">
          <Button component={Link} color="dark" to="../customer-details" relative="path">Back</Button>
        </Tooltip>
      </ButtonGroup>
    </Box>
  )
}
  
export default OrderDeliveryDetails