import { Box, Button, ButtonGroup, FormGroup, Grid, TextField, Tooltip } from "@mui/material"
import useOrderData from "@/hooks/useOrderData"
import { Link, Navigate } from "react-router-dom"
import OrderData from "@/types/orderData"
import type PaymentDetails from "@/types/paymentDetails"

export function OrderPaymentDetails() {
  const { orderData, updateOrderData } = useOrderData()

  // TODO: use React hook form to validate this form.
  // Hook form resolvers are already installed for you.

  const onSubmit = (data: PaymentDetails) => {
    updateOrderData({ ...orderData, paymentDetails: data } as OrderData)

    // TODO navigate to the next step (Summary)
    // Hint: use dedicated React router hook for that.
  }

  if (orderData.confirmed) {
    return <Navigate to="../confirmation" relative="path" />
  }

  return (
    <Box
      component="form"
      noValidate
      autoComplete="off"
    >
      <Box component={FormGroup} mb={3}>
        <TextField
          type="number"
          label="Credit Card Number"
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>

      <Grid container spacing={2} mb={3}>
        <Grid item xs={12} lg={5}>
          <TextField
            type="number"
            label="Expiration month"
            error={true /* TODO */ }
            helperText="TODO"
            /* TODO register */
            fullWidth
          />
        </Grid>
        <Grid item xs={12} lg={4}>
          <TextField
            type="number"
            label="Expiration year"
            error={true /* TODO */ }
            helperText="TODO"
            /* TODO register */
            fullWidth
          />
        </Grid>
        <Grid item xs={12} lg={3}>
          <TextField
            type="number"
            label="Cvv"
            error={true /* TODO */ }
            helperText="TODO"
            /* TODO register */
            fullWidth
          />
        </Grid>
      </Grid>
      <Box component={FormGroup} mb={3}>
        <TextField
          label="Card Holder"
          error={true /* TODO */ }
          helperText="TODO"
          /* TODO register */
        />
      </Box>
      <ButtonGroup variant="contained">
        <Button color="custom" /* TODO handleSubmit */>Submit & proceed</Button>
        <Button color="error" /* TODO reset */>Reset</Button>
        <Tooltip title="Delivery details">
          <Button component={Link} color="dark" to="../delivery-details" relative="path">Back</Button>
        </Tooltip>
      </ButtonGroup>
    </Box>
  )
}
  
export default OrderPaymentDetails